Package com.io7m.cardant.database.postgres.internal

# Class DefaultCatalog

java.lang.Object
org.jooq.impl.CatalogImpl
com.io7m.cardant.database.postgres.internal.DefaultCatalog

All Implemented Interfaces:
  `Serializable`, `org.jooq.Catalog`, `org.jooq.Named`, `org.jooq.QueryPart`, `org.jooq.QueryPartInternal`

public class DefaultCatalog extends org.jooq.impl.CatalogImpl
This class is generated by jOOQ.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DefaultCatalog`
  `DEFAULT_CATALOG`
  The reference instance of `DEFAULT_CATALOG`
  `final DefaultSchema`
  `DEFAULT_SCHEMA`
  The schema `DEFAULT_SCHEMA`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final org.jooq.Name`
  `$name()`
  `protected final org.jooq.DSLContext`
  `create()`
  Deprecated.
  `protected final org.jooq.DSLContext`
  `create(org.jooq.Configuration arg0)`
  Deprecated.
  `protected final org.jooq.DSLContext`
  `create(org.jooq.Context<?> arg0)`
  Deprecated.
  `boolean`
  `declaresCTE()`
  `boolean`
  `declaresFields()`
  `boolean`
  `declaresTables()`
  `boolean`
  `declaresWindows()`
  `boolean`
  `generatesCast()`
  `final String`
  `getComment()`
  `final org.jooq.Comment`
  `getCommentPart()`
  `final String`
  `getName()`
  `org.jooq.Name`
  `getQualifiedName()`
  `final List<org.jooq.Schema>`
  `getSchemas()`
  `final org.jooq.Name`
  `getUnqualifiedName()`
  `int`
  `hashCode()`
  `boolean`
  `rendersContent(org.jooq.Context<?> arg0)`
  `String`
  `toString()`
  `protected final org.jooq.exception.DataAccessException`
  `translate(String arg0, SQLException arg1)`

  ### Methods inherited from class org.jooq.impl.CatalogImpl

  `accept, clauses, equals, getSchema, getSchema, schemaStream`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.jooq.Named

  `$name, getComment, getCommentPart, getName, getQualifiedName, getUnqualifiedName`

  ### Methods inherited from interface org.jooq.QueryPart

  `hashCode, toString`

  ### Methods inherited from interface org.jooq.QueryPartInternal

  `declaresCTE, declaresFields, declaresTables, declaresWindows, generatesCast, rendersContent`

- ## Field Details

  - ### DEFAULT_CATALOG

    public static final DefaultCatalog DEFAULT_CATALOG
    The reference instance of `DEFAULT_CATALOG`

  - ### DEFAULT_SCHEMA

    public final DefaultSchema DEFAULT_SCHEMA
    The schema `DEFAULT_SCHEMA`.

- ## Method Details

  - ### getSchemas

    public final List<org.jooq.Schema> getSchemas()
    Specified by:
      `getSchemas` in interface `org.jooq.Catalog`
    Overrides:
      `getSchemas` in class `org.jooq.impl.CatalogImpl`

  - ### getName

    public final String getName()
    Specified by:
      `getName` in interface `org.jooq.Named`

  - ### getQualifiedName

    public org.jooq.Name getQualifiedName()
    Specified by:
      `getQualifiedName` in interface `org.jooq.Named`

  - ### getUnqualifiedName

    public final org.jooq.Name getUnqualifiedName()
    Specified by:
      `getUnqualifiedName` in interface `org.jooq.Named`

  - ### getComment

    public final String getComment()
    Specified by:
      `getComment` in interface `org.jooq.Named`

  - ### getCommentPart

    public final org.jooq.Comment getCommentPart()
    Specified by:
      `getCommentPart` in interface `org.jooq.Named`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `org.jooq.QueryPart`

  - ### $name

    public final org.jooq.Name $name()
    Specified by:
      `$name` in interface `org.jooq.Named`

  - ### rendersContent

    public boolean rendersContent(org.jooq.Context<?> arg0)
    Specified by:
      `rendersContent` in interface `org.jooq.QueryPartInternal`

  - ### declaresFields

    public boolean declaresFields()
    Specified by:
      `declaresFields` in interface `org.jooq.QueryPartInternal`

  - ### declaresTables

    public boolean declaresTables()
    Specified by:
      `declaresTables` in interface `org.jooq.QueryPartInternal`

  - ### declaresWindows

    public boolean declaresWindows()
    Specified by:
      `declaresWindows` in interface `org.jooq.QueryPartInternal`

  - ### declaresCTE

    public boolean declaresCTE()
    Specified by:
      `declaresCTE` in interface `org.jooq.QueryPartInternal`

  - ### generatesCast

    public boolean generatesCast()
    Specified by:
      `generatesCast` in interface `org.jooq.QueryPartInternal`

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `org.jooq.QueryPart`
    Overrides:
      `toString` in class `Object`

  - ### create

    @Deprecated protected final org.jooq.DSLContext create()
    Deprecated.

  - ### create

    @Deprecated protected final org.jooq.DSLContext create(org.jooq.Configuration arg0)
    Deprecated.

  - ### create

    @Deprecated protected final org.jooq.DSLContext create(org.jooq.Context<?> arg0)
    Deprecated.

  - ### translate

    protected final org.jooq.exception.DataAccessException translate(String arg0, SQLException arg1)